package com.njcn.csdevice.enums;

import lombok.Getter;

/**
 * pqs
 * Advacne枚举
 * @author cdf
 * @date 2021/6/21
 */
@Getter
public enum AlgorithmResponseEnum {

    /**
     * A00500 ~ A01550 用于终端模块的枚举
      */
    CS_DEVICE_COMMON_ERROR("A00500","治理终端模块异常"),
    PROJECT_COMMON_ERROR("A00500","项目名不能相同"),
    DICT_DATA_ERROR("A00501","暂无此字典表类型"),
    NDID_ERROR("A00502","存在相同的ndid"),
    DATA_ERROR("A00503","存在相同的数据"),
    LINE_DATA_ERROR ("A00504","设备下监测点数据缺失"),
    LINE_DATA_MISS ("A00504","设备下监测点数据缺失"),
    POSITION_ERROR ("A00504","监测点位置数据缺失"),
    ENGINEERING_DATA_ERROR ("A00505","工程数据数据缺失"),
    ELEEPDPQD_DATA_ERROR ("A00506","统计指标据数据缺失"),
    FILE_SIZE_ERROR ("A00507","文件不能超过10M"),

    DATA_EXIST ("A00508","组内有数据,请先移除数据"),
    LOSE_EFFICACY ("A00509","二维码失效，该设备已绑定"),
    DATA_LOSE ("A00510","未找到设备与主用户信息"),
    REPEAT_SHARE ("A00511","设备已分享完成,请勿再次分享"),
    DEVICE_LOSE("A00512","设备id缺失"),
    CHIRLDREN_EXIST("A00513","工程下存在项目,不能删除"),
    CHIRLDREN2_EXIST("A00514","项目下存在设备,不能删除"),
    CHIRLDREN3_EXIST("A00516","存在设备使用拓扑图,不能删除"),

    DATA_ARRAY_MISSING("A00515","详细数据为空"),
    UNKNOW_ROLE("A00515","角色无权限操作"),
    DATA_MISSING("A00516","数据缺失"),
    ASK_DEVICE_DIR_ROOT_ERROR("A00516","读取装置根目录异常"),
    ASK_DEVICE_DIR_ERROR("A00516","读取装置文件异常,请重试"),
    FILE_DOWNLOAD_ERROR("A00516","下载失败"),
    FILE_DOWNLOADING("A00516","下载失败,系统正在响应其他下载任务,请稍后重试"),
    FILE_UPLOADING("A00516","上传失败,系统正在响应其他上传任务,请稍后重试"),
    FILE_BUSY("A00516","正在进行其他文件操作,请稍后重试"),
    RECORD_FILE_LOST("A00516","record.bin文件缺失，请检查上传文件夹"),
    LINE_NUM_MISMATCH("A00516","上传文件的监测点序号和选择的监测点不匹配，请检查"),
    DEV_OFFLINE("A00516","装置未连接MQTT服务器"),
    OVER_MAX_DEV_COUNT("A00517","前置机超出最大支持装置数"),
    DEV_OLD_DATA("A00519","进程数修改失败，原进程数下存在装置，请修改装置进程号"),
    DEV_EXIST_DATA("A00520","删除失败，前置机下存在装置"),

    CLD_MODEL_MISSING("A00521","云前置模板缺失,请检查模板信息"),
    CLD_MODEL_MORE("A00521","存在多个云前置模板,请检查模板信息"),

    ;


    private final String code;

    private final String message;

    AlgorithmResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
